View Single Post
(#84)
Old
705's Avatar
705 705 is offline
New Member
 
Posts: 26
Join Date: Aug 2017
Car: E90
Default 01-04-2018, 06:58 PM

Quote:
Originally Posted by Mike_L
What are the Android requirements for the MHD app? I get a not compatible message when I try to put it on my AT&T Trek HD. I use an iPhone, so that’s the only Android I have (thank god!).
Any android device running android 3.2 or higher...

I have a samsung galaxy tab pro 10.1 with “f-series” N55 installed. Works for me.

Waiting for my bimmer geeks cable to arrive as well.

http://mhdtuning.com/support/

Last edited by 705; 01-04-2018 at 07:06 PM..
Reply With Quote